# Installing EGroupware dependencies
# - install myrepo utility (https://myrepos.branchable.com/)
# - to install or update run inside EGroupware dir: mr up
# - alternativly you can also run the commands manually

[DEFAULT]
git_update = git stash -q || true ; git pull --rebase ; git stash pop -q 2>/dev/null || true
# run 5 jobs parallel, does NOT work with more then one svn module for (un)tag!
jobs = 5
git_tag = git tag -a $1 -m "$2"
git_untag = git tag -d $1
git_branch = git checkout -b $1
svn_tag = svn cp --parents -m "$2" $(svn info|grep ^URL|cut -f 2 -d ' ') $(svn info|grep ^URL|cut -f 2 -d ' '|sed -E "s:/(branches/[0-9.]+|trunk)/:/tags/$1/:")
svn_untag = svn rm -m "remove tag" $(svn info|grep ^URL|cut -f 2 -d ' '|sed -E "s:/(branches/[0-9.]+|trunk)/.*$:/tags/$1/:")
svn_branch = svn cp --parents -m "$2" $(svn info|grep ^URL|cut -f 2 -d ' ') $(svn info|grep ^URL|cut -f 2 -d ' '|sed -E "s:/(branches/[0-9.]+|trunk)/:/branches/$1/:"); svn switch ^/branches/$1/$(svn info|grep ^URL|cut -f 2 -d ' '|sed 's/^.*\///') .

[api/src/Db/ADOdb]
checkout = git clone -b 17.1 ${EGW_REPO_BASE:-$(git config --get remote.origin.url|sed 's|/egroupware.git||')}/ADOdb.git

[]
# to run composer.phar automatic, this .mrconfig need to be trusted by adding it to ~/.mrtrust
checkout = git clone -b 17.1 git@github.com:EGroupware/egroupware.git &&
	/usr/bin/env $(which composer.phar >/dev/null && echo composer.phar || echo composer) install
update = git stash -q || true ; git pull --rebase ; git stash pop -q 2>/dev/null || true;
	rm -rf api/js/ckeditor;
	/usr/bin/env $(which composer.phar >/dev/null && echo composer.phar || echo composer) install
# uncomment for minified javascript and css, IF you have nodejs and grunt installed: npm install -g grunt-cli
#post_checkout = /usr/bin/env npm install && /usr/bin/env grunt
#post_update = /usr/bin/env npm install && /usr/bin/env grunt
# to run after all other checkout/updates, as some apps (eg. projectmanager) need to update first
order = 20

###
### Optional apps you can enable by uncommenting them and (re-)run: mr up
###
[activesync]
# synchronise mobile phone via Z-Push and ActiveSync protocoll
checkout = git clone -b 17.1 ${EGW_REPO_BASE:-$(git config --get remote.origin.url|sed 's|/egroupware.git||')}/activesync.git
chain = true

[tracker]
# tracking or helpdesk application
checkout = git clone -b 17.1 ${EGW_REPO_BASE:-$(git config --get remote.origin.url|sed 's|/egroupware.git||')}/tracker.git

[projectmanager]
# projectmanagement and Ganttcharts
checkout = git clone -b 17.1 ${EGW_REPO_BASE:-$(git config --get remote.origin.url|sed 's|/egroupware.git||')}/projectmanager.git

[collabora]
# Collabora Libre Office Online integration
checkout = git clone -b 17.1 ${EGW_REPO_BASE:-$(git config --get remote.origin.url|sed 's|/egroupware.git||')}/collabora.git

#[bookmarks]
# record and share bookmarks
#checkout = git clone -b 17.1 ${EGW_REPO_BASE:-$(git config --get remote.origin.url|sed 's|/egroupware.git||')}/bookmarks.git

#[news_admin]
# publish and agregate RSS or ATOM feeds
#checkout = git clone -b 17.1 ${EGW_REPO_BASE:-$(git config --get remote.origin.url|sed 's|/egroupware.git||')}/news_admin.git

#[registration]
# allows (after configuration!) to selfregister accounts and recover lost passwords
#checkout = git clone -b 17.1 ${EGW_REPO_BASE:-$(git config --get remote.origin.url|sed 's|/egroupware.git||')}/registration.git

#[archive]
# allows to integrate a Benno mail-archive into EGroupware
#checkout = git clone -b 17.1 ${EGW_REPO_BASE:-$(git config --get remote.origin.url|sed 's|/egroupware.git||')}/archive.git

#[wiki]
# wiki application
#checkout = git clone -b 17.1 ${EGW_REPO_BASE:-$(git config --get remote.origin.url|sed 's|/egroupware.git||')}/wiki.git

###
### Older apps requiring to install phpgwapi and etemplate!
###
#[phpgwapi]
# old api used by non 16.1 apps
#checkout = git clone -b 17.1 ${EGW_REPO_BASE:-$(git config --get remote.origin.url|sed 's|/egroupware.git||')}/phpgwapi.git

#[jdots]
# alternative "Stylite" template set
#checkout = git clone -b 17.1 ${EGW_REPO_BASE:-$(git config --get remote.origin.url|sed 's|/egroupware.git||')}/jdots.git

#[etemplate]
# old templating system superseeded by eTemplate2 in 16.1+ api
#checkout = git clone -b 17.1 ${EGW_REPO_BASE:-$(git config --get remote.origin.url|sed 's|/egroupware.git||')}/etemplate.git

#[phpbrain]
# knowledge base
#checkout = git clone -b 17.1 ${EGW_REPO_BASE:-$(git config --get remote.origin.url|sed 's|/egroupware.git||')}/phpbrain.git

#[sambaadmin]
# keeps passwords in sync with Samba3 using same LDAP as EGroupware (for Samba4 use Active Directory)
#checkout = git clone -b 17.1 ${EGW_REPO_BASE:-$(git config --get remote.origin.url|sed 's|/egroupware.git||')}/sambaadmin.git

#[sitemgr]
# content managment application
#checkout = git clone -b 17.1 ${EGW_REPO_BASE:-$(git config --get remote.origin.url|sed 's|/egroupware.git||')}/sitemgr.git

#[phpfreechat]
# chat application requiring PHP 5.x, no PHP 7.x support!
#checkout = git clone -b 17.1 ${EGW_REPO_BASE:-$(git config --get remote.origin.url|sed 's|/egroupware.git||')}/phpfreechat.git
#chain = true

###
### EPL apps not publicly available
###

#[stylite]
#checkout = git clone -b 17.1 git@github.com:EGroupwareGmbH/epl.git stylite

#[esyncpro]
#checkout = git clone -b 17.1 git@github.com:EGroupwareGmbH/esyncpro.git
